[X2Go-Commits] [live-build-x2go] 04/58: added patch to share ssh secret keys between X2GoClient for Windows in portable mode and X2Go-TCE isohybrid residing on same USB media

git-admin at x2go.org git-admin at x2go.org
Tue Feb 14 09:34:06 CET 2017


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch feature/openbox
in repository live-build-x2go.

commit 61bf0a1a1cd880a5abbbeccd49675568beec90df
Author: Stefan Baur (BAUR-ITCS) <kontakt at baur-itcs.de>
Date:   Tue Dec 27 18:28:23 2016 +0100

    added patch to share ssh secret keys between X2GoClient for Windows in portable mode and X2Go-TCE isohybrid residing on same USB media
---
 .../lib/live/config/2410-getopensshkey             |   42 ++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/config/includes.chroot/lib/live/config/2410-getopensshkey b/config/includes.chroot/lib/live/config/2410-getopensshkey
new file mode 100755
index 0000000..c6b3859
--- /dev/null
+++ b/config/includes.chroot/lib/live/config/2410-getopensshkey
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+
+X2GoGetOpenSSHKey ()
+{
+# Output startup message
+#
+echo -n " x2go-getopensshkey"
+
+# This script is for using the iso-hybrid image along with the "second partition" patch
+# it allows you to share ssh secret keys between X2GoClient for Windows in portable
+# mode and the X2Go-ThinClientEnvironment on the same USB media using different partitions
+
+# Homedir des clientseitigen X2Go-ThinClient-Accounts
+#
+X2GOHOME="/var/lib/x2gothinclient/"
+
+# Homedir der Portable-App-Installation
+#
+HOME="/media/PORTABLEAPP/"
+
+# .ssh-Directory anlegen, das existiert zu diesem Zeitpunkt noch nicht
+#
+mkdir -p $(readlink -m "$X2GOHOME/.ssh/")
+
+for KEYFILE in $HOME/ssh/* ; do
+	[ -s "$KEYFILE" ] || continue
+	KEYDESTPATH="$X2GOHOME/.ssh/$(basename "$KEYFILE")"
+	touch "$KEYDESTPATH"
+	chown   x2gothinclient:x2gothinclient \
+		$KEYDESTPATH
+	chmod   600 $KEYDESTPATH
+	cat     $(readlink -m "$KEYFILE")>$KEYDESTPATH
+
+done
+
+ln -s $X2GOHOME/.ssh $X2GOHOME/ssh
+
+}
+
+X2GoGetOpenSSHKey
+

--
Alioth's /srv/git/code.x2go.org/live-build-x2go.git//..//_hooks_/post-receive-email on /srv/git/code.x2go.org/live-build-x2go.git


More information about the x2go-commits mailing list